Subject: Fw: Possible bug.

From: George R Goffe <[email-masked]>
Date: Mon, 7 Oct 2019 21:31:25 +0000 (UTC)

Hi,
I'm building the "latest" coreutils on my Fedora Core 32 x86_64 system with two different versions of the gcc compilers. Both builds are failing with this indication:
In file included from lib/nproc.c:50:
/usr/include/sys/sysctl.h:21:2: error: #warning "The <sys/sysctl.h> header is deprecated and will be removed." [-Werror=cpp]
21 | #warning "The <sys/sysctl.h> header is deprecated and will be removed."
|  ^~~~~~~
cc1: all warnings being treated as errors

I guess the builds would succeed if it weren't for the "-Werror=cpp" flag. I can try removing this flag if you'd like. I thought you might like to see this error though.
I can provide build logs for both versions if you need/want them.
Best Regards,
George...